 <body>
 	<div >			
 		<h2 style="text-align:left;">Summary <?php echo date("F Y"); ?></h2> <br>
 	</div>
 	<div class="container pt-5" style="height:40vh; width: 400px;">	
 		<div style="height:40vh;width: 400px; ">
 			<h5>MDS User Chart</h5>
 			<canvas id="chart_mds"></canvas>
 		</div>
 	</div> <br><br><br><br>
 	<div class="container pt-5">	
 		<div class="col-xs-12 col-sm-12 col-md-6 col-lg-6" style="height:40vh; ">
 			<h5>Summary User Active Application</h5>
 			<canvas id="chart_active"></canvas>
 		</div>
 		<div class="col-xs-12 col-sm-12 col-md-6 col-lg-6" style="height:40vh; ">
 			<h5>Summary User Inactive Application</h5>
 			<canvas id="chart_inactive"></canvas>
 		</div>
 	</div>
 </body>
 <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
 <script>

 	function square_data(chart){
 		var c = document.createElement("canvas");
 		var ctx2 = c.getContext("2d");
 		ctx2.fillStyle = "green";
 		ctx2.rect(141, 70, 20, 20);
 		ctx2.fill()
 		ctx2.fillStyle = "#fff";
 		ctx2.fillText(chart.dataset.data[chart.dataIndex], 147,82, 10);

 		ctx2.stroke();
 		return c
 	}

/*mds*/

 	<?php 
 	$mds_status = mysqli_query($koneksi,"select status, count(status) as count from user_mds
 		where month(start_date) = month(CURRENT_DATE())
 		group by status");
 	while($dr = mysqli_fetch_array($mds_status)){
 		$mds_statususer[] = $dr['status'];
 		$mds_count[] = $dr['count'];

 	}
 	?>

/*aktif aplikasi*/	
 	<?php 
 	$menu = mysqli_query($koneksi,"select menu, count(isactive) as count from applications
 		where isactive = 1
 		group by menu");
 	while($dr = mysqli_fetch_array($menu)){
 		$menu2[] = $dr['menu'];
 		$count[] = $dr['count'];

 	}
 	?>
 /*Inaktif aplikasi*/	
 	<?php 
 	$inactive_menu = mysqli_query($koneksi,"select menu, count(isactive) as count from applications
 		where isactive = 0
 		and month(termination_date) >= month(CURRENT_DATE)
 		group by menu");
 	while($dr2 = mysqli_fetch_array($inactive_menu)){
 		$inactive_menu2[] = $dr2['menu'];
 		$inactive_count[] = $dr2['count'];

 	}
 	?>


 	const ctx = document.getElementById('chart_mds');

 	new Chart(ctx, {
 		type: 'line',
 		data: {
 			labels: <?php echo json_encode($mds_statususer); ?>,
 			datasets: [{
  				fill:true,
 				label: 'jumlah user',
 				data: <?php echo json_encode($mds_count); ?>,
 				backgroundColor: [
 					'rgba(240, 240, 240,0.5)'
 					],
 				borderColor: [
 					'rgba(60, 179, 113, 1)',
 					'rgba(9, 31, 242, 0.8)',
 					'rgba(240, 255, 45, 0.8)',
 					'rgba(17, 231, 42, 0.8)',
 					'rgba(201, 30, 255, 0.8)',
 					'rgba(255, 128, 6, 0.8)'
 					],
 				borderWidth: 1
 			}]
 		},
 		options: {
 			scales: {
 				y: {
 					beginAtZero: true
 				}
 			},
 			plugins: {
 				legend: {
 					display: false,
 				},
 			},
 			elements:{
 				"point":{"pointStyle":square_data},
 			},	

 		}
 	}
 	);


 	const ctx2 = document.getElementById('chart_active');

 	new Chart(ctx2, {
 		type: 'line',
 		data: {
 			labels: <?php echo json_encode($menu2); ?>,
 			datasets: [{
 				fill:true,
 				label: 'jumlah user',
 				data: <?php echo json_encode($count); ?>,
 				backgroundColor: [
 					'rgba(240, 240, 240,0.5)'
 					],
 				borderColor: [
 					'rgba(60, 179, 113, 1)',
 					'rgba(9, 31, 242, 0.8)',
 					'rgba(240, 255, 45, 0.8)',
 					'rgba(17, 231, 42, 0.8)',
 					'rgba(201, 30, 255, 0.8)',
 					'rgba(255, 128, 6, 0.8)'
 					],
 				borderWidth: 1
 			}]
 		},
 		options: {
 			scales: {
 				y: {
 					beginAtZero: true
 				}
 			},
 			plugins: {
 				legend: {
 					display: false,
 				},
 			},
 			elements:{
 				"point":{"pointStyle":square_data},
 			},	

 		}
 	}
 	);

 	const ctx3 = document.getElementById('chart_inactive');

 	new Chart(ctx3, {
 		type: 'line',
 		data: {
 			labels: <?php echo json_encode($inactive_menu2); ?>,
 			datasets: [{
 				fill:true,
 				label: 'jumlah user',
 				data: <?php echo json_encode($inactive_count); ?>,
 				backgroundColor: [
 					'rgba(240, 240, 240,0.5)'
 					],
 				borderColor: [
 					'rgba(60, 179, 113, 1)',
 					'rgba(9, 31, 242, 0.8)',
 					'rgba(240, 255, 45, 0.8)',
 					'rgba(17, 231, 42, 0.8)',
 					'rgba(201, 30, 255, 0.8)',
 					'rgba(255, 128, 6, 0.8)'
 					],
 				borderWidth: 1
 			}]
 		},
 		options: {
 			scales: {
 				y: {
 					beginAtZero: true
 				}
 			},
 			plugins: {
 				legend: {
 					display: false,
 				},
 			},
 			elements:{
 				"point":{"pointStyle":square_data},
 			},	

 		}
 	}
 	);
 </script>
